# OIHelper Quick Start

Before reading this tutorial, please check if you've installed `oi_helper` ([How to install?](../README.md#installation)).

## Creating Workspaces
Use the following command to create workspaces.
```
oi_helper init [/path/to/workspace]
```

## Create C++ Source File
Use:
```
oi_helper create [NAME without extension]
```
You can also do some customizing. For example, if you want to generate a C++ source file with DP's template and set the constant `MAXN` to 114514 you can execute:
```
oi_helper create [NAME] -t dp --maxn 114514
```
Here are some possible values for `--template`:
```
dp
dp-2d
default
```
Also you can pass `/path/to/template` to the `--template` option. Here is an example of a template, notice that here are some placeholders start with `{#` and end with `#}`:
```C++
// {##}
// Template generated by oi_helper (https://github.com/onion108/oi_helper)
//

#include <iostream>
#include <algorithm>

using std::cin;
using std::cout;
using std::endl;
{#debug_kit#}

static const int MAXN = {#maxn_value#};
static const int MAXL = {#maxl_value#};
int dp[MAXN][MAXL];

int main() {
}
```

We offer a simple debug tool which looks like this:
```c++
/* Debug Kit Start */

#ifdef __DEBUG__
#define debug_do(__b) __b
#else
#define debug_do(__b)
#endif

/* Debug Kit End */
```
You can use `--debug-kit` or `-d` to enable it. Make sure that the place holder `{#debug_kit#}` is in your template file, or the `--debug-kit` won't work.
