//! Some resource strings.


/// DEBUG Kits
pub static CPP_TEMPLATE_DEBUG_KIT: &'static str = r"

/* Debug Kit Start */

#ifdef __DEBUG__
#define debug_do(__b) __b
#else
#define debug_do(__b)
#endif

/* Debug Kit End */

";

/// The default C++ template.
pub static CPP_TEMPLATE_0: &'static str = r"
// {##}
// Template generated by oi_helper (https://github.com/onion108/oi_helper)
//

#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>
#include <stack>
#include <queue>
using namespace std;
{#debug_kit#}

static const int MAXN = {#maxn_value#};

int main() {
    return 0;
}

";

/// An alternative template.
pub static CPP_TEMPLATE_1: &'static str = r"
// {##}
// Template generated by oi_helper (https://github.com/onion108/oi_helper)
//

#include <iostream>
#include <algorithm>

using std::cin;
using std::cout;
using std::endl;
{#debug_kit#}

static const int MAXN = {#maxn_value#};

int main() {
}

";

/// Default dp template.
pub static CPP_DP_TEMPLATE_0: &'static str = r"
// {##}
// Template generated by oi_helper (https://github.com/onion108/oi_helper)
//

#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>
#include <stack>
#include <queue>
using namespace std;
{#debug_kit#}

static const int MAXN = {#maxn_value#};
int dp[MAXN];

int main() {
    return 0;
}

";

/// An alternative template.
pub static CPP_DP_TEMPLATE_1: &'static str = r"
// {##}
// Template generated by oi_helper (https://github.com/onion108/oi_helper)
//

#include <iostream>
#include <algorithm>

using std::cin;
using std::cout;
using std::endl;
{#debug_kit#}

static const int MAXN = {#maxn_value#};
int dp[MAXN];

int main() {
}

";

/// Default dp-2d template.
pub static CPP_DP_2D_TEMPLATE_0: &'static str = r"
// {##}
// Template generated by oi_helper (https://github.com/onion108/oi_helper)
//

#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>
#include <stack>
#include <queue>
using namespace std;
{#debug_kit#}

static const int MAXN = {#maxn_value#};
static const int MAXL = {#maxl_value#};
int dp[MAXN][MAXL];

int main() {
    return 0;
}

";

/// An alternative template.
pub static CPP_DP_2D_TEMPLATE_1: &'static str = r"
// {##}
// Template generated by oi_helper (https://github.com/onion108/oi_helper)
//

#include <iostream>
#include <algorithm>

using std::cin;
using std::cout;
using std::endl;
{#debug_kit#}

static const int MAXN = {#maxn_value#};
static const int MAXL = {#maxl_value#};
int dp[MAXN][MAXL];

int main() {
}

";